# QDSfit
## Install instructions

In order to install QDSfit on your computers home directory use the setup.py script provided.

Execute following commands on a shell prompt to get tho most current version and install the program in the *local* folder in your home directory:
	
    hg clone https://chaos3.fkp.physik.tu-darmstadt.de/diffusion/QD/QDSfit/
	cd qdsfit
    python setup.py install --prefix=$HOME/local
    
This will fail most probably due to the **PYTHONPATH** variable  not being set, you will get the following message:

> running install
> Checking .pth file support in /autohome/markusro/local//lib/python2.7/site-packages/
> /usr/bin/python -E -c pass
> TEST FAILED: /autohome/markusro/local//lib/python2.7/site-packages/ does NOT support .pth files
> error: bad install directory or PYTHONPATH
> 
> You are attempting to install a package to a directory that is not
> on PYTHONPATH and which Python does not read ".pth" files from.  The
> installation directory you specified (via --install-dir, --prefix, or
> the distutils default setting) was:
> 
>     /autohome/markusro/local//lib/python2.7/site-packages/
> 
> and your PYTHONPATH environment variable currently contains:
> 
>     ''
> 
> Here are some of your options for correcting the problem:
> 
> * You can choose a different installation directory, i.e., one that is
>   on PYTHONPATH or supports .pth files
> 
> * You can add the installation directory to the PYTHONPATH environment
>   variable.  (It must then also be on PYTHONPATH whenever you run
>   Python and want to use the package(s) you are installing.)
> 
> * You can set up the installation directory to support ".pth" files by
>   using one of the approaches described here:
> 
>   https://pythonhosted.org/setuptools/easy_install.html#custom-installation-locations
> 
> Please make the appropriate changes for your system and try again.
> 

The only thing missing for the install is  (according to the output):

	export PYTHONPATH=/autohome/markusro/local//lib/python2.7/site-packages/
    python setup.py install --prefix=$HOME/local
    
In order to access the program more easier, you have to set your **PATH** variable to the proper direcotry:

	export PATH=$PATH:$HOME/local/bin
    
Both export commands should be in the shell start up file (*.bashrc*), then there is no need to type this every time you open a new window. You can then start QDSfit in a terminal by typing *qds.py* in any directory.


Happy fitting!



